USE [master]
GO
/****** Object:  Database [FQ.MD.WEB]    Script Date: 22/02/2021 16:06:37 ******/
CREATE DATABASE [FQ.MD.WEB]
GO
ALTER DATABASE [FQ.MD.WEB] SET COMPATIBILITY_LEVEL = 120
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [FQ.MD.WEB].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [FQ.MD.WEB] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET ARITHABORT OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET AUTO_CLOSE ON 
GO
ALTER DATABASE [FQ.MD.WEB] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [FQ.MD.WEB] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [FQ.MD.WEB] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET  ENABLE_BROKER 
GO
ALTER DATABASE [FQ.MD.WEB] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [FQ.MD.WEB] SET READ_COMMITTED_SNAPSHOT ON 
GO
ALTER DATABASE [FQ.MD.WEB] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [FQ.MD.WEB] SET  MULTI_USER 
GO
ALTER DATABASE [FQ.MD.WEB] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [FQ.MD.WEB] SET DB_CHAINING OFF 
GO
ALTER DATABASE [FQ.MD.WEB] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [FQ.MD.WEB] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO
USE [FQ.MD.WEB]
GO
/****** Object:  Table [dbo].[GT_LOG_APP_ERRORS]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_LOG_APP_ERRORS](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[ErrorCode] [int] NOT NULL,
	[ErrorMessage] [varchar](max) NULL,
	[DisplayKey] [varchar](250) NULL,
	[CreatedBy] [int] NULL,
	[CreatedDate] [datetime] NOT NULL,
 CONSTRAINT [PK_GTEINVC_ERROR_LOG] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_LOG_WEB_ACTIVITIES]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_LOG_WEB_ACTIVITIES](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[MenuId] [int] NULL,
	[Controller] [varchar](250) NOT NULL,
	[Action] [varchar](250) NOT NULL,
	[Method] [varchar](10) NOT NULL,
	[UserId] [int] NULL,
	[CreatedDate] [datetime] NOT NULL,
 CONSTRAINT [PK_GTEINVC_LOG_WEB_ACTIVITIES] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_COMPANIES]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_COMPANIES](
	[CompanyId] [int] IDENTITY(1,1) NOT NULL,
	[CompanyName] [varchar](250) NOT NULL,
	[CompanyPhone] [varchar](100) NULL,
	[CompanyEmail] [varchar](100) NULL,
	[CompanyWebsite] [varchar](100) NULL,
	[IsActive] [bit] NOT NULL,
	[InactivatedBy] [int] NULL,
	[InactivatedDate] [datetime] NULL,
	[CreatedBy] [int] NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_COMPANIES] PRIMARY KEY CLUSTERED 
(
	[CompanyId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_GROUPS]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_GROUPS](
	[GroupId] [int] IDENTITY(1,1) NOT NULL,
	[GroupName] [varchar](250) NOT NULL,
	[CompanyId] [int] NOT NULL,
	[ParentId] [int] NULL,
	[Note] [varchar](500) NULL,
	[IsActive] [bit] NOT NULL,
	[InactivatedBy] [int] NULL,
	[InactivatedDate] [datetime] NULL,
	[CreatedBy] [int] NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_GROUPS] PRIMARY KEY CLUSTERED 
(
	[GroupId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_MENUS]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_MENUS](
	[MenuId] [int] IDENTITY(1,1) NOT NULL,
	[Key] [varchar](100) NOT NULL,
	[Description] [varchar](250) NOT NULL,
	[URL] [varchar](250) NULL,
	[Icon] [varchar](50) NOT NULL,
	[Sequence] [int] NOT NULL,
	[ParentId] [int] NULL,
	[IsLink] [bit] NOT NULL,
	[IsActive] [bit] NOT NULL,
	[InactivatedBy] [int] NULL,
	[InactivatedDate] [datetime] NULL,
	[CreatedBy] [int] NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_MENUS] PRIMARY KEY CLUSTERED 
(
	[MenuId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_MODULES]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_MODULES](
	[ModuleId] [int] IDENTITY(1,1) NOT NULL,
	[Module] [varchar](100) NOT NULL,
	[Note] [varchar](max) NULL,
	[CreatedBy] [int] NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_GT_MASTER_MODULES] PRIMARY KEY CLUSTERED 
(
	[ModuleId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_GT_MASTER_MODULES] UNIQUE NONCLUSTERED 
(
	[Module] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_ROLE_MENUS]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_ROLE_MENUS](
	[RoleMenuId] [int] IDENTITY(1,1) NOT NULL,
	[RoleId] [int] NOT NULL,
	[MenuId] [int] NOT NULL,
	[GrantCreate] [bit] NOT NULL,
	[GrantRead] [bit] NOT NULL,
	[GrantUpdate] [bit] NOT NULL,
	[GrantDelete] [bit] NOT NULL,
	[GrantSync] [bit] NOT NULL,
	[GrantUpload] [bit] NOT NULL,
	[IsActive] [bit] NOT NULL,
	[InactivatedBy] [int] NULL,
	[InactivatedDate] [datetime] NULL,
	[CreatedBy] [int] NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_ROLE_MENUS] PRIMARY KEY CLUSTERED 
(
	[RoleMenuId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_ROLES]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_ROLES](
	[RoleId] [int] IDENTITY(1,1) NOT NULL,
	[Role] [varchar](100) NOT NULL,
	[Description] [varchar](250) NULL,
	[IsActive] [bit] NOT NULL,
	[InactivatedBy] [int] NULL,
	[InactivatedDate] [datetime] NULL,
	[CreatedBy] [int] NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_ROLES] PRIMARY KEY CLUSTERED 
(
	[RoleId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_STATUS]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_STATUS](
	[StatusId] [int] IDENTITY(1,1) NOT NULL,
	[Status] [varchar](50) NOT NULL,
	[Description] [varchar](250) NOT NULL,
	[ModuleId] [int] NOT NULL,
	[CreatedBy] [int] NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_GT_MASTER_STATUS] PRIMARY KEY CLUSTERED 
(
	[StatusId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_USER_ROLES]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_USER_ROLES](
	[UserRoleId] [int] IDENTITY(1,1) NOT NULL,
	[UserId] [int] NOT NULL,
	[RoleId] [int] NOT NULL,
	[IsActive] [bit] NOT NULL,
	[InactivatedBy] [int] NULL,
	[InactivatedDate] [datetime] NULL,
	[CreatedBy] [int] NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdatedDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_USER_ROLES] PRIMARY KEY CLUSTERED 
(
	[UserRoleId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Table [dbo].[GT_MASTER_USERS]    Script Date: 22/02/2021 16:06:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GT_MASTER_USERS](
	[UserId] [int] IDENTITY(1,1) NOT NULL,
	[Username] [varchar](100) NOT NULL,
	[Name] [varchar](100) NOT NULL,
	[Email] [varchar](100) NOT NULL,
	[Password] [varchar](max) NULL,
	[Salt] [varchar](max) NULL,
	[GroupId] [int] NOT NULL,
	[IsActive] [bit] NOT NULL,
	[InactivatedBy] [int] NULL,
	[InactivatedDate] [datetime] NULL,
	[CreatedBy] [int] NULL,
	[CreatedDate] [datetime] NOT NULL,
	[LastUpdatedBy] [int] NULL,
	[LastUpdateDate] [datetime] NULL,
	[IsDeleted] [bit] NOT NULL,
	[DeletedBy] [int] NULL,
	[DeletedDate] [datetime] NULL,
	[Remark] [varchar](max) NULL,
 CONSTRAINT [PK_USERS] PRIMARY KEY CLUSTERED 
(
	[UserId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
/****** Object:  Index [IX_COMPANIES_ISACTIVE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_COMPANIES_ISACTIVE] ON [dbo].[GT_MASTER_COMPANIES]
(
	[IsActive] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_COMPANIES_ISDELETED]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_COMPANIES_ISDELETED] ON [dbo].[GT_MASTER_COMPANIES]
(
	[IsDeleted] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_COMPANIES_NAME]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [IX_COMPANIES_NAME] ON [dbo].[GT_MASTER_COMPANIES]
(
	[CompanyName] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_GROUPS_COMPANY_ID]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_GROUPS_COMPANY_ID] ON [dbo].[GT_MASTER_GROUPS]
(
	[CompanyId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_GROUPS_ISACTIVE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_GROUPS_ISACTIVE] ON [dbo].[GT_MASTER_GROUPS]
(
	[IsActive] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_GROUPS_ISDELETED]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_GROUPS_ISDELETED] ON [dbo].[GT_MASTER_GROUPS]
(
	[IsDeleted] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_GROUPS_NAME]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_GROUPS_NAME] ON [dbo].[GT_MASTER_GROUPS]
(
	[GroupName] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [NonClusteredIndex-Unique-GroupName-CompanyId]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [NonClusteredIndex-Unique-GroupName-CompanyId] ON [dbo].[GT_MASTER_GROUPS]
(
	[GroupName] ASC,
	[CompanyId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_MENUS_ISACTIVE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_MENUS_ISACTIVE] ON [dbo].[GT_MASTER_MENUS]
(
	[IsActive] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_MENUS_ISDELETED]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_MENUS_ISDELETED] ON [dbo].[GT_MASTER_MENUS]
(
	[IsDeleted] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_MENUS_KEY]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [IX_MENUS_KEY] ON [dbo].[GT_MASTER_MENUS]
(
	[Key] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_ROLE_MENUS_ISACTIVE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_ROLE_MENUS_ISACTIVE] ON [dbo].[GT_MASTER_ROLE_MENUS]
(
	[IsActive] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_ROLE_MENUS_ISDELETED]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_ROLE_MENUS_ISDELETED] ON [dbo].[GT_MASTER_ROLE_MENUS]
(
	[IsDeleted] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_ROLE_MENUS_MENU_ID]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_ROLE_MENUS_MENU_ID] ON [dbo].[GT_MASTER_ROLE_MENUS]
(
	[MenuId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_ROLE_MENUS_ROLE_ID]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_ROLE_MENUS_ROLE_ID] ON [dbo].[GT_MASTER_ROLE_MENUS]
(
	[RoleId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [NonClusteredIndex-Unique-RoleId-MenuId]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [NonClusteredIndex-Unique-RoleId-MenuId] ON [dbo].[GT_MASTER_ROLE_MENUS]
(
	[RoleId] ASC,
	[MenuId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_ROLES_ISACTIVE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_ROLES_ISACTIVE] ON [dbo].[GT_MASTER_ROLES]
(
	[IsActive] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_ROLES_ISDELETED]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_ROLES_ISDELETED] ON [dbo].[GT_MASTER_ROLES]
(
	[IsDeleted] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_ROLES_ROLE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [IX_ROLES_ROLE] ON [dbo].[GT_MASTER_ROLES]
(
	[Role] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [NonClusteredIndex-Unique-Status-ModuleId]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [NonClusteredIndex-Unique-Status-ModuleId] ON [dbo].[GT_MASTER_STATUS]
(
	[ModuleId] ASC,
	[Status] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_USER_ROLES_ISACTIVE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USER_ROLES_ISACTIVE] ON [dbo].[GT_MASTER_USER_ROLES]
(
	[IsActive] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_USER_ROLES_ISDELETED]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USER_ROLES_ISDELETED] ON [dbo].[GT_MASTER_USER_ROLES]
(
	[IsDeleted] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_USER_ROLES_ROLE_ID]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USER_ROLES_ROLE_ID] ON [dbo].[GT_MASTER_USER_ROLES]
(
	[RoleId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_USER_ROLES_USER_ID]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USER_ROLES_USER_ID] ON [dbo].[GT_MASTER_USER_ROLES]
(
	[UserId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [NonClusteredIndex-Unique-UserId-RoleId]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [NonClusteredIndex-Unique-UserId-RoleId] ON [dbo].[GT_MASTER_USER_ROLES]
(
	[UserId] ASC,
	[RoleId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_USERS_EMAIL]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [IX_USERS_EMAIL] ON [dbo].[GT_MASTER_USERS]
(
	[Email] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_USERS_GROUPID]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USERS_GROUPID] ON [dbo].[GT_MASTER_USERS]
(
	[GroupId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_USERS_ISACTIVE]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USERS_ISACTIVE] ON [dbo].[GT_MASTER_USERS]
(
	[IsActive] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_USERS_ISDELETED]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USERS_ISDELETED] ON [dbo].[GT_MASTER_USERS]
(
	[IsDeleted] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_USERS_NAME]    Script Date: 22/02/2021 16:06:38 ******/
CREATE NONCLUSTERED INDEX [IX_USERS_NAME] ON [dbo].[GT_MASTER_USERS]
(
	[Name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_USERS_USERNAME]    Script Date: 22/02/2021 16:06:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [IX_USERS_USERNAME] ON [dbo].[GT_MASTER_USERS]
(
	[Username] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [dbo].[GT_MASTER_COMPANIES] ADD  CONSTRAINT [DF_GT_MASTER_COMPANIES_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_GROUPS] ADD  CONSTRAINT [DF_GT_MASTER_GROUPS_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_MENUS] ADD  CONSTRAINT [DF_GT_MASTER_MENUS_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_MODULES] ADD  CONSTRAINT [DF_GT_MASTER_MODULES_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_ROLE_MENUS] ADD  CONSTRAINT [DF_GT_MASTER_ROLE_MENUS_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_ROLES] ADD  CONSTRAINT [DF_GT_MASTER_ROLES_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_STATUS] ADD  CONSTRAINT [DF_GT_MASTER_STATUS_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_USER_ROLES] ADD  CONSTRAINT [DF_GT_MASTER_USER_ROLES_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_USERS] ADD  CONSTRAINT [DF_GT_MASTER_USERS_IsDeleted]  DEFAULT ((0)) FOR [IsDeleted]
GO
ALTER TABLE [dbo].[GT_MASTER_GROUPS]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_GROUPS_GT_MASTER_COMPANIES] FOREIGN KEY([CompanyId])
REFERENCES [dbo].[GT_MASTER_COMPANIES] ([CompanyId])
GO
ALTER TABLE [dbo].[GT_MASTER_GROUPS] CHECK CONSTRAINT [FK_GT_MASTER_GROUPS_GT_MASTER_COMPANIES]
GO
ALTER TABLE [dbo].[GT_MASTER_GROUPS]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_GROUPS_GT_MASTER_GROUPS] FOREIGN KEY([ParentId])
REFERENCES [dbo].[GT_MASTER_GROUPS] ([GroupId])
GO
ALTER TABLE [dbo].[GT_MASTER_GROUPS] CHECK CONSTRAINT [FK_GT_MASTER_GROUPS_GT_MASTER_GROUPS]
GO
ALTER TABLE [dbo].[GT_MASTER_MENUS]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_MENUS_GT_MASTER_MENUS] FOREIGN KEY([ParentId])
REFERENCES [dbo].[GT_MASTER_MENUS] ([MenuId])
GO
ALTER TABLE [dbo].[GT_MASTER_MENUS] CHECK CONSTRAINT [FK_GT_MASTER_MENUS_GT_MASTER_MENUS]
GO
ALTER TABLE [dbo].[GT_MASTER_ROLE_MENUS]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_ROLE_MENUS_GT_MASTER_MENUS] FOREIGN KEY([MenuId])
REFERENCES [dbo].[GT_MASTER_MENUS] ([MenuId])
GO
ALTER TABLE [dbo].[GT_MASTER_ROLE_MENUS] CHECK CONSTRAINT [FK_GT_MASTER_ROLE_MENUS_GT_MASTER_MENUS]
GO
ALTER TABLE [dbo].[GT_MASTER_ROLE_MENUS]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_ROLE_MENUS_GT_MASTER_ROLES] FOREIGN KEY([RoleId])
REFERENCES [dbo].[GT_MASTER_ROLES] ([RoleId])
GO
ALTER TABLE [dbo].[GT_MASTER_ROLE_MENUS] CHECK CONSTRAINT [FK_GT_MASTER_ROLE_MENUS_GT_MASTER_ROLES]
GO
ALTER TABLE [dbo].[GT_MASTER_STATUS]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_STATUS_GT_MASTER_MODULES] FOREIGN KEY([ModuleId])
REFERENCES [dbo].[GT_MASTER_MODULES] ([ModuleId])
GO
ALTER TABLE [dbo].[GT_MASTER_STATUS] CHECK CONSTRAINT [FK_GT_MASTER_STATUS_GT_MASTER_MODULES]
GO
ALTER TABLE [dbo].[GT_MASTER_USER_ROLES]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_USER_ROLES_GT_MASTER_ROLES] FOREIGN KEY([RoleId])
REFERENCES [dbo].[GT_MASTER_ROLES] ([RoleId])
GO
ALTER TABLE [dbo].[GT_MASTER_USER_ROLES] CHECK CONSTRAINT [FK_GT_MASTER_USER_ROLES_GT_MASTER_ROLES]
GO
ALTER TABLE [dbo].[GT_MASTER_USER_ROLES]  WITH CHECK ADD  CONSTRAINT [FK_GT_MASTER_USER_ROLES_GT_MASTER_USERS] FOREIGN KEY([UserId])
REFERENCES [dbo].[GT_MASTER_USERS] ([UserId])
GO
ALTER TABLE [dbo].[GT_MASTER_USER_ROLES] CHECK CONSTRAINT [FK_GT_MASTER_USER_ROLES_GT_MASTER_USERS]
GO
ALTER TABLE [dbo].[GT_MASTER_USERS]  WITH NOCHECK ADD  CONSTRAINT [FK_GT_MASTER_USERS_GT_MASTER_GROUPS] FOREIGN KEY([GroupId])
REFERENCES [dbo].[GT_MASTER_GROUPS] ([GroupId])
GO
ALTER TABLE [dbo].[GT_MASTER_USERS] CHECK CONSTRAINT [FK_GT_MASTER_USERS_GT_MASTER_GROUPS]
GO
USE [master]
GO
ALTER DATABASE [FQ.MD.WEB] SET  READ_WRITE 
GO
